$(document).ready(function () {
    bindQueryEvent(); // 这里也要复制!!!!!!!
});

//绑定selectC--------月结方式复制这里!!! (PS:复制完此页面可以删除了)
function bindQueryEvent() {
    $('#method').searchbox({
        type: "monthlySettlementMethod", name: "monthlySettlementMethodApplyCode",
        onChange: function (value, data) {
            $('#method').val(data.method);
            renderingDictionaries(data);
        }
    });
}

/**
 * 渲染带数据字典的select
 * @param obj
 */
function renderingDictionaries(obj) {
    console.log(obj)
    //获取所有select的id名与对象匹配
    $("select").each(function () {
        var id = $(this).attr("id");
        if (obj.hasOwnProperty(id)) {

            var keyValuePairs = new Map();

            $('#' + id + ' option').each(function () {
                var value = $(this).val();
                var text = $(this).text();
                keyValuePairs.set(value, text);
            });

            // 获取 对应的文本值
            var selectedValue = obj[id];
            var selectedText = keyValuePairs.get(selectedValue);

            // 将文本值赋值给目标元素
            $('#' + id + '_text').val(selectedText);
            $('#' + id).val(selectedValue);

            console.log("select:" + id+"("+selectedText+":"+selectedValue+")")
        }
    });
}

